Skip to content

getAttributeCategory

READ

Get attribute category.

POST /api/v1/people/getAttributeCategory
curl -X POST '<your-host>/api/v1/people/getAttributeCategory' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "active": true,
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "emoji": "string",
  "id": "string",
  "name": "string",
  "protected": true,
  "public": true,
  "updatedAt": "string",
  "updatedBy": "string",
  "userAttribute": [
    {
      "id": "string",
      "name": "string",
      "sortOrder": 0,
      "attributeDataType": {
        "id": 0,
        "label": "string",
        "isBoolean": true,
        "isDate": true,
        "isList": true,
        "isNumeric": true,
        "isText": true,
        "isUser": true,
        "isFile": true
      }
    }
  ]
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    }
  },
  "required": [
    "id"
  ]
}